QGIS Application - Bug report #5389
"points in polygon" tool broken in qgis master
2012-04-17 05:07 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupls data: Copied to github as #: 15065
Description

it returns

An error has occured while executing Python code:

Traceback (most recent call last):
File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doPointsInPolygon.py", line 80, in accept
self.compute(inPoly, inPts, inField, outPath, self.progressBar)
File "C:\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doPointsInPolygon.py", line 144, in compute
if inGeom.intersects(tmpGeom.asPoint()):
TypeError: arguments did not match any overloaded call:
QgsGeometry.intersects(QgsRectangle): argument 1 has unexpected type 'QgsPoint’
QgsGeometry.intersects(QgsGeometry): argument 1 has unexpected type 'QgsPoint’

as this is a regression and a core tool it should be fixed before releasing 1.8

Associated revisions

Revision be6b2a00 - 2012-04-17 02:25 PM - Alexander Bruy

fix broken Points in polygon (fix #5389)

History

#1 - 2012-04-17 05:34 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"be6b2a00076a0cc6d488ab75ab2c36e7{5970a21".

#2 - 2012-04-17 05:35 AM - Alexander Bruy

- Resolution set to fixed

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
